#include "LibItsBtp_EncdecDeclarations.hh"

namespace LibItsBtp__EncdecDeclarations {
/****************************************************
 * @desc    External function to encode a BtpPayload type
 * @param   value to encode
 * @return  encoded value
 ****************************************************/
BITSTRING fx__enc__BtpPayload(const LibItsBtp__TypesAndValues::BtpPayload& p)
{
  return int2bit(0,8);
}

/****************************************************
 * @desc    External function to decode a BtpPayload type
 * @param   value to encode
 * @return  encoded value
 ****************************************************/
/* TODO RGy function not implemented! (decvalue() not used by test suite @29-06-2016)
INTEGER fx__dec__BtpPayload(BITSTRING& b, LibItsBtp__TypesAndValues::BtpPayload& p)
{
  return -1;
}
*/

/*BITSTRING fx__enc__BtpReq(LibItsBtp__TestSystem::BtpReq const&)
{
  return int2bit(0,8);
}

INTEGER fx__dec__BtpInd(BITSTRING&, LibItsBtp__TestSystem::BtpInd&)
{
  return 0;
}*/

} //end namespace

